package androidx.appcompat.view.menu;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.view.Menu;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import androidx.appcompat.view.menu.t;

/* compiled from: SubMenuBuilder */
public class k0 extends t implements SubMenu {
    private t B;
    private w C;

    public k0(Context context, t tVar, w wVar) {
        super(context);
        this.B = tVar;
        this.C = wVar;
    }

    @Override // androidx.appcompat.view.menu.t
    public void a(t.a aVar) {
        this.B.a(aVar);
    }

    @Override // androidx.appcompat.view.menu.t
    public boolean b(w wVar) {
        return this.B.b(wVar);
    }

    @Override // androidx.appcompat.view.menu.t
    public String d() {
        w wVar = this.C;
        int itemId = wVar != null ? wVar.getItemId() : 0;
        if (itemId == 0) {
            return null;
        }
        return super.d() + ":" + itemId;
    }

    public MenuItem getItem() {
        return this.C;
    }

    @Override // androidx.appcompat.view.menu.t
    public t m() {
        return this.B.m();
    }

    @Override // androidx.appcompat.view.menu.t
    public boolean o() {
        return this.B.o();
    }

    @Override // androidx.appcompat.view.menu.t
    public boolean p() {
        return this.B.p();
    }

    @Override // androidx.appcompat.view.menu.t
    public boolean q() {
        return this.B.q();
    }

    @Override // androidx.appcompat.view.menu.t
    public void setGroupDividerEnabled(boolean z) {
        this.B.setGroupDividerEnabled(z);
    }

    @Override // android.view.SubMenu
    public SubMenu setHeaderIcon(Drawable drawable) {
        super.a(drawable);
        return this;
    }

    @Override // android.view.SubMenu
    public SubMenu setHeaderTitle(CharSequence charSequence) {
        super.a(charSequence);
        return this;
    }

    public SubMenu setHeaderView(View view) {
        super.a(view);
        return this;
    }

    @Override // android.view.SubMenu
    public SubMenu setIcon(Drawable drawable) {
        this.C.setIcon(drawable);
        return this;
    }

    @Override // androidx.appcompat.view.menu.t
    public void setQwertyMode(boolean z) {
        this.B.setQwertyMode(z);
    }

    public Menu t() {
        return this.B;
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.appcompat.view.menu.t
    public boolean a(t tVar, MenuItem menuItem) {
        return super.a(tVar, menuItem) || this.B.a(tVar, menuItem);
    }

    @Override // android.view.SubMenu
    public SubMenu setHeaderIcon(int i2) {
        super.d(i2);
        return this;
    }

    @Override // android.view.SubMenu
    public SubMenu setHeaderTitle(int i2) {
        super.e(i2);
        return this;
    }

    @Override // android.view.SubMenu
    public SubMenu setIcon(int i2) {
        this.C.setIcon(i2);
        return this;
    }

    @Override // androidx.appcompat.view.menu.t
    public boolean a(w wVar) {
        return this.B.a(wVar);
    }
}
