package androidx.versionedparcelable;

import android.os.Bundle;
import android.os.Parcelable;

/* compiled from: ParcelUtils */
public class a {
    private a() {
    }

    public static Parcelable a(d dVar) {
        return new ParcelImpl(dVar);
    }

    public static <T extends d> T a(Parcelable parcelable) {
        if (parcelable instanceof ParcelImpl) {
            return (T) ((ParcelImpl) parcelable).getVersionedParcel();
        }
        throw new IllegalArgumentException("Invalid parcel");
    }

    public static void a(Bundle bundle, String str, d dVar) {
        if (dVar != null) {
            Bundle bundle2 = new Bundle();
            bundle2.putParcelable("a", a(dVar));
            bundle.putParcelable(str, bundle2);
        }
    }

    public static <T extends d> T a(Bundle bundle, String str) {
        try {
            Bundle bundle2 = (Bundle) bundle.getParcelable(str);
            if (bundle2 == null) {
                return null;
            }
            bundle2.setClassLoader(a.class.getClassLoader());
            return (T) a(bundle2.getParcelable("a"));
        } catch (RuntimeException unused) {
            return null;
        }
    }
}
