package com.ximalaya.ting.android.car.opensdk.model.customActivity;

import com.google.gson.annotations.SerializedName;
import com.ximalaya.ting.android.car.opensdk.model.pay.coupon.IOTCouponInfo;
import com.ximalaya.ting.android.opensdk.model.IOT.XimaIotDataResponse;
import java.util.List;

public class IotCustomizedActivityBean extends XimaIotDataResponse {
    @SerializedName("activity_name")
    private String activityName;
    @SerializedName("activity_position")
    private Integer activityPosition;
    @SerializedName("activity_style")
    private Integer activityStyle;
    @SerializedName("copywriting")
    private String copywriting;
    @SerializedName("coupons")
    private List<IOTCouponInfo> coupons;
    @SerializedName("id")
    private Long id;
    @SerializedName("logo_path")
    private String logoPath;
    @SerializedName("pic_path")
    private String picPath;
    @SerializedName("push_rate")
    private Integer pushRate;
    @SerializedName("router")
    private String router;
    @SerializedName("title")
    private String title;
    private String trace = "去领取";

    public String getActivityName() {
        return this.activityName;
    }

    public Integer getActivityPosition() {
        return this.activityPosition;
    }

    public Integer getActivityStyle() {
        return this.activityStyle;
    }

    public String getCopywriting() {
        return this.copywriting;
    }

    public List<IOTCouponInfo> getCoupons() {
        return this.coupons;
    }

    public Long getId() {
        return this.id;
    }

    public String getLogoPath() {
        return this.logoPath;
    }

    public String getPicPath() {
        return this.picPath;
    }

    public Integer getPushRate() {
        return this.pushRate;
    }

    public String getRouter() {
        return this.router;
    }

    public String getTitle() {
        return this.title;
    }

    public String getTrace() {
        return this.trace;
    }

    public boolean isCouponType() {
        return this.activityStyle.intValue() == 1 && this.activityPosition.intValue() == 1;
    }

    public void setActivityName(String str) {
        this.activityName = str;
    }

    public void setActivityPosition(Integer num) {
        this.activityPosition = num;
    }

    public void setActivityStyle(Integer num) {
        this.activityStyle = num;
    }

    public void setCopywriting(String str) {
        this.copywriting = str;
    }

    public void setCoupons(List<IOTCouponInfo> list) {
        this.coupons = list;
    }

    public void setId(Long l) {
        this.id = l;
    }

    public void setLogoPath(String str) {
        this.logoPath = str;
    }

    public void setPicPath(String str) {
        this.picPath = str;
    }

    public void setPushRate(Integer num) {
        this.pushRate = num;
    }

    public IotCustomizedActivityBean setRouter(String str) {
        this.router = str;
        return this;
    }

    public void setTitle(String str) {
        this.title = str;
    }

    public IotCustomizedActivityBean setTrace(String str) {
        this.trace = str;
        return this;
    }
}
