package com.ximalaya.ting.android.car.opensdk.model.metadata;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.gson.annotations.SerializedName;

public class IOTAttribute implements Parcelable {
    public static final Parcelable.Creator<IOTAttribute> CREATOR = new Parcelable.Creator<IOTAttribute>() {
        /* class com.ximalaya.ting.android.car.opensdk.model.metadata.IOTAttribute.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IOTAttribute createFromParcel(Parcel parcel) {
            return new IOTAttribute(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IOTAttribute[] newArray(int i2) {
            return new IOTAttribute[i2];
        }
    };
    @SerializedName("attr_key")
    private int attrKey;
    @SerializedName("attr_value")
    private String attrValue;
    @SerializedName("child_metadatas")
    private IOTMetaData childMetadatas;
    @SerializedName("display_name")
    private String displayName;

    public IOTAttribute() {
    }

    public int describeContents() {
        return 0;
    }

    public int getAttrKey() {
        return this.attrKey;
    }

    public String getAttrValue() {
        return this.attrValue;
    }

    public IOTMetaData getChildMetadatas() {
        return this.childMetadatas;
    }

    public String getDisplayName() {
        return this.displayName;
    }

    public void setAttrKey(int i2) {
        this.attrKey = i2;
    }

    public void setAttrValue(String str) {
        this.attrValue = str;
    }

    public void setChildMetadatas(IOTMetaData iOTMetaData) {
        this.childMetadatas = iOTMetaData;
    }

    public void setDisplayName(String str) {
        this.displayName = str;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.attrKey);
        parcel.writeString(this.attrValue);
        parcel.writeString(this.displayName);
        parcel.writeParcelable(this.childMetadatas, i2);
    }

    protected IOTAttribute(Parcel parcel) {
        this.attrKey = parcel.readInt();
        this.attrValue = parcel.readString();
        this.displayName = parcel.readString();
        this.childMetadatas = (IOTMetaData) parcel.readParcelable(IOTMetaData.class.getClassLoader());
    }
}
