package com.ximalaya.ting.android.car.opensdk.model.recommend;

import com.ecarx.sdk.vehicle.VehicleZone;
import g.e.a.c;
import java.util.List;

/* compiled from: IOTCHomeResult.kt */
public final class Xxm40HomePageLineVO {
    private final IOTCardVO card_vo;
    private final String router;
    private final Integer router_type;
    private final Long xxm40_content_channel_card_id;
    private final XxmActivityPopupListVO xxm_activity_popup_list_vo;
    private final Integer xxm_channel_content_type;
    private final List<XxmHotIpVo> xxm_hot_ip_vos;
    private final List<XxmListenListVO> xxm_listen_list_vos;

    public Xxm40HomePageLineVO(Long l, Integer num, Integer num2, String str, IOTCardVO iOTCardVO, XxmActivityPopupListVO xxmActivityPopupListVO, List<XxmHotIpVo> list, List<XxmListenListVO> list2) {
        this.xxm40_content_channel_card_id = l;
        this.xxm_channel_content_type = num;
        this.router_type = num2;
        this.router = str;
        this.card_vo = iOTCardVO;
        this.xxm_activity_popup_list_vo = xxmActivityPopupListVO;
        this.xxm_hot_ip_vos = list;
        this.xxm_listen_list_vos = list2;
    }

    public static /* synthetic */ Xxm40HomePageLineVO copy$default(Xxm40HomePageLineVO xxm40HomePageLineVO, Long l, Integer num, Integer num2, String str, IOTCardVO iOTCardVO, XxmActivityPopupListVO xxmActivityPopupListVO, List list, List list2, int i2, Object obj) {
        return xxm40HomePageLineVO.copy((i2 & 1) != 0 ? xxm40HomePageLineVO.xxm40_content_channel_card_id : l, (i2 & 2) != 0 ? xxm40HomePageLineVO.xxm_channel_content_type : num, (i2 & 4) != 0 ? xxm40HomePageLineVO.router_type : num2, (i2 & 8) != 0 ? xxm40HomePageLineVO.router : str, (i2 & 16) != 0 ? xxm40HomePageLineVO.card_vo : iOTCardVO, (i2 & 32) != 0 ? xxm40HomePageLineVO.xxm_activity_popup_list_vo : xxmActivityPopupListVO, (i2 & 64) != 0 ? xxm40HomePageLineVO.xxm_hot_ip_vos : list, (i2 & VehicleZone.ZONE_ROW_2_ALL) != 0 ? xxm40HomePageLineVO.xxm_listen_list_vos : list2);
    }

    public final Long component1() {
        return this.xxm40_content_channel_card_id;
    }

    public final Integer component2() {
        return this.xxm_channel_content_type;
    }

    public final Integer component3() {
        return this.router_type;
    }

    public final String component4() {
        return this.router;
    }

    public final IOTCardVO component5() {
        return this.card_vo;
    }

    public final XxmActivityPopupListVO component6() {
        return this.xxm_activity_popup_list_vo;
    }

    public final List<XxmHotIpVo> component7() {
        return this.xxm_hot_ip_vos;
    }

    public final List<XxmListenListVO> component8() {
        return this.xxm_listen_list_vos;
    }

    public final Xxm40HomePageLineVO copy(Long l, Integer num, Integer num2, String str, IOTCardVO iOTCardVO, XxmActivityPopupListVO xxmActivityPopupListVO, List<XxmHotIpVo> list, List<XxmListenListVO> list2) {
        return new Xxm40HomePageLineVO(l, num, num2, str, iOTCardVO, xxmActivityPopupListVO, list, list2);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof Xxm40HomePageLineVO)) {
            return false;
        }
        Xxm40HomePageLineVO xxm40HomePageLineVO = (Xxm40HomePageLineVO) obj;
        return c.a(this.xxm40_content_channel_card_id, xxm40HomePageLineVO.xxm40_content_channel_card_id) && c.a(this.xxm_channel_content_type, xxm40HomePageLineVO.xxm_channel_content_type) && c.a(this.router_type, xxm40HomePageLineVO.router_type) && c.a(this.router, xxm40HomePageLineVO.router) && c.a(this.card_vo, xxm40HomePageLineVO.card_vo) && c.a(this.xxm_activity_popup_list_vo, xxm40HomePageLineVO.xxm_activity_popup_list_vo) && c.a(this.xxm_hot_ip_vos, xxm40HomePageLineVO.xxm_hot_ip_vos) && c.a(this.xxm_listen_list_vos, xxm40HomePageLineVO.xxm_listen_list_vos);
    }

    public final IOTCardVO getCard_vo() {
        return this.card_vo;
    }

    public final String getRouter() {
        return this.router;
    }

    public final Integer getRouter_type() {
        return this.router_type;
    }

    public final Long getXxm40_content_channel_card_id() {
        return this.xxm40_content_channel_card_id;
    }

    public final XxmActivityPopupListVO getXxm_activity_popup_list_vo() {
        return this.xxm_activity_popup_list_vo;
    }

    public final Integer getXxm_channel_content_type() {
        return this.xxm_channel_content_type;
    }

    public final List<XxmHotIpVo> getXxm_hot_ip_vos() {
        return this.xxm_hot_ip_vos;
    }

    public final List<XxmListenListVO> getXxm_listen_list_vos() {
        return this.xxm_listen_list_vos;
    }

    public int hashCode() {
        Long l = this.xxm40_content_channel_card_id;
        int i2 = 0;
        int hashCode = (l != null ? l.hashCode() : 0) * 31;
        Integer num = this.xxm_channel_content_type;
        int hashCode2 = (hashCode + (num != null ? num.hashCode() : 0)) * 31;
        Integer num2 = this.router_type;
        int hashCode3 = (hashCode2 + (num2 != null ? num2.hashCode() : 0)) * 31;
        String str = this.router;
        int hashCode4 = (hashCode3 + (str != null ? str.hashCode() : 0)) * 31;
        IOTCardVO iOTCardVO = this.card_vo;
        int hashCode5 = (hashCode4 + (iOTCardVO != null ? iOTCardVO.hashCode() : 0)) * 31;
        XxmActivityPopupListVO xxmActivityPopupListVO = this.xxm_activity_popup_list_vo;
        int hashCode6 = (hashCode5 + (xxmActivityPopupListVO != null ? xxmActivityPopupListVO.hashCode() : 0)) * 31;
        List<XxmHotIpVo> list = this.xxm_hot_ip_vos;
        int hashCode7 = (hashCode6 + (list != null ? list.hashCode() : 0)) * 31;
        List<XxmListenListVO> list2 = this.xxm_listen_list_vos;
        if (list2 != null) {
            i2 = list2.hashCode();
        }
        return hashCode7 + i2;
    }

    public String toString() {
        return "Xxm40HomePageLineVO(xxm40_content_channel_card_id=" + this.xxm40_content_channel_card_id + ", xxm_channel_content_type=" + this.xxm_channel_content_type + ", router_type=" + this.router_type + ", router=" + this.router + ", card_vo=" + this.card_vo + ", xxm_activity_popup_list_vo=" + this.xxm_activity_popup_list_vo + ", xxm_hot_ip_vos=" + this.xxm_hot_ip_vos + ", xxm_listen_list_vos=" + this.xxm_listen_list_vos + ")";
    }
}
