package com.ximalaya.ting.android.opensdk.login.model;

import com.google.gson.annotations.SerializedName;
import java.util.List;

public class LoginInfoModel extends UserInfoModel {
    @SerializedName("access_token")
    private String accessToken;
    private boolean bindMPhone;
    private List<ThirdPartyUserInfo> bindStatus;
    private String checkCodeUrl;
    private String checkKey;
    private String checkUUID;
    private String countryCode;
    private boolean coupons = false;
    private long curTimeStamp;
    @SerializedName("expires_in")
    private String expireIn;
    private String fakeToken;
    private boolean forceBindMPhone;
    private boolean gotoBindMPhone;
    private boolean gotoValidateMobile;
    private boolean hasCreateGroupPermission = false;
    private boolean isFirst;
    private boolean loginByPwd;
    private String loginFrom;
    private int loginFromId;
    private String mobileReal;
    private String mobileShow;
    @SerializedName("refresh_token")
    private String refreshToken;
    private String scope;
    private boolean setPwd;
    private String token;
    private UserExtraInfo userExtraInfo;

    public String getAccessToken() {
        return this.accessToken;
    }

    public List<ThirdPartyUserInfo> getBindStatus() {
        return this.bindStatus;
    }

    public String getCheckCodeUrl() {
        return this.checkCodeUrl;
    }

    public String getCheckKey() {
        return this.checkKey;
    }

    public String getCheckUUID() {
        return this.checkUUID;
    }

    public String getCountryCode() {
        return this.countryCode;
    }

    public long getCurTimeStamp() {
        return this.curTimeStamp;
    }

    public String getExpireIn() {
        return this.expireIn;
    }

    public boolean getHasCreateGroupPermission() {
        return this.hasCreateGroupPermission;
    }

    public String getLoginFrom() {
        return this.loginFrom;
    }

    public int getLoginFromId() {
        return this.loginFromId;
    }

    public String getMobileReal() {
        return this.mobileReal;
    }

    public String getMobileShow() {
        return this.mobileShow;
    }

    public String getRefreshToken() {
        return this.refreshToken;
    }

    public String getScope() {
        return this.scope;
    }

    public String getToken() {
        return this.token;
    }

    public UserExtraInfo getUserExtraInfo() {
        return this.userExtraInfo;
    }

    public boolean isBindMPhone() {
        return this.bindMPhone;
    }

    public boolean isCoupons() {
        return this.coupons;
    }

    public boolean isFirst() {
        return this.isFirst;
    }

    public boolean isForceBindMPhone() {
        return this.forceBindMPhone;
    }

    public boolean isGotoBindMphone() {
        return this.gotoBindMPhone;
    }

    public boolean isGotoValidateMobile() {
        return this.gotoValidateMobile;
    }

    public boolean isLoginByPwd() {
        return this.loginByPwd;
    }

    public boolean isSetPwd() {
        return this.setPwd;
    }

    public void setAccessToken(String str) {
        this.accessToken = str;
    }

    public void setBindMPhone(boolean z) {
        this.bindMPhone = z;
    }

    public void setBindStatus(List<ThirdPartyUserInfo> list) {
        this.bindStatus = list;
    }

    public void setCheckCodeUrl(String str) {
        this.checkCodeUrl = str;
    }

    public void setCheckKey(String str) {
        this.checkKey = str;
    }

    public void setCheckUUID(String str) {
        this.checkUUID = str;
    }

    public void setCountryCode(String str) {
        this.countryCode = str;
    }

    public void setCoupons(boolean z) {
        this.coupons = z;
    }

    public void setCurTimeStamp(long j2) {
        this.curTimeStamp = j2;
    }

    public void setExpireIn(String str) {
        this.expireIn = str;
    }

    public void setFirst(boolean z) {
        this.isFirst = z;
    }

    public void setForceBindMPhone(boolean z) {
        this.forceBindMPhone = z;
    }

    public void setGotoBindMphone(boolean z) {
        this.gotoBindMPhone = z;
    }

    public void setGotoValidateMobile(boolean z) {
        this.gotoValidateMobile = z;
    }

    public void setHasCreateGroupPermission(boolean z) {
        this.hasCreateGroupPermission = z;
    }

    public void setLoginByPwd(boolean z) {
        this.loginByPwd = z;
    }

    public void setLoginFrom(String str) {
        this.loginFrom = str;
    }

    public void setLoginFromId(int i2) {
        this.loginFromId = i2;
    }

    public void setMobileReal(String str) {
        this.mobileReal = str;
    }

    public void setMobileShow(String str) {
        this.mobileShow = str;
    }

    public void setRefreshToken(String str) {
        this.refreshToken = str;
    }

    public void setScope(String str) {
        this.scope = str;
    }

    public void setSetPwd(boolean z) {
        this.setPwd = z;
    }

    public void setToken(String str) {
        this.token = str;
    }

    public void setUserExtraInfo(UserExtraInfo userExtraInfo2) {
        this.userExtraInfo = userExtraInfo2;
    }
}
