package com.ximalaya.ting.android.opensdk.model.IOT;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.gson.annotations.SerializedName;

public class IOTCover extends XimaIotDataResponse implements Parcelable {
    public static final Parcelable.Creator<IOTCover> CREATOR = new Parcelable.Creator<IOTCover>() {
        /* class com.ximalaya.ting.android.opensdk.model.IOT.IOTCover.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IOTCover createFromParcel(Parcel parcel) {
            return new IOTCover(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IOTCover[] newArray(int i2) {
            return new IOTCover[i2];
        }
    };
    @SerializedName("large")
    private IOTImage large;
    @SerializedName("middle")
    private IOTImage middle;
    @SerializedName("small")
    private IOTImage small;

    public IOTCover() {
    }

    public int describeContents() {
        return 0;
    }

    public IOTImage getLarge() {
        return this.large;
    }

    public IOTImage getMiddle() {
        return this.middle;
    }

    public IOTImage getSmall() {
        return this.small;
    }

    public void setLarge(IOTImage iOTImage) {
        this.large = iOTImage;
    }

    public void setMiddle(IOTImage iOTImage) {
        this.middle = iOTImage;
    }

    public void setSmall(IOTImage iOTImage) {
        this.small = iOTImage;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeParcelable(this.small, i2);
        parcel.writeParcelable(this.middle, i2);
        parcel.writeParcelable(this.large, i2);
    }

    protected IOTCover(Parcel parcel) {
        this.small = (IOTImage) parcel.readParcelable(IOTImage.class.getClassLoader());
        this.middle = (IOTImage) parcel.readParcelable(IOTImage.class.getClassLoader());
        this.large = (IOTImage) parcel.readParcelable(IOTImage.class.getClassLoader());
    }
}
