package com.ximalaya.ting.android.opensdk.model.IOT;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.gson.annotations.SerializedName;
import com.liulishuo.filedownloader.model.FileDownloadModel;

public class IOTImage extends XimaIotDataResponse implements Parcelable {
    public static final Parcelable.Creator<IOTImage> CREATOR = new Parcelable.Creator<IOTImage>() {
        /* class com.ximalaya.ting.android.opensdk.model.IOT.IOTImage.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IOTImage createFromParcel(Parcel parcel) {
            return new IOTImage(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IOTImage[] newArray(int i2) {
            return new IOTImage[i2];
        }
    };
    @SerializedName("height")
    private int height;
    @SerializedName(FileDownloadModel.URL)
    private String url;
    @SerializedName("width")
    private int width;

    public IOTImage() {
    }

    public int describeContents() {
        return 0;
    }

    public int getHeight() {
        return this.height;
    }

    public String getUrl() {
        return this.url;
    }

    public int getWidth() {
        return this.width;
    }

    public void setHeight(int i2) {
        this.height = i2;
    }

    public void setUrl(String str) {
        this.url = str;
    }

    public void setWidth(int i2) {
        this.width = i2;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.height);
        parcel.writeInt(this.width);
        parcel.writeString(this.url);
    }

    protected IOTImage(Parcel parcel) {
        this.height = parcel.readInt();
        this.width = parcel.readInt();
        this.url = parcel.readString();
    }
}
