package com.ximalaya.ting.android.opensdk.model.album;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.gson.annotations.SerializedName;

public class LastUpTrack implements Parcelable {
    public static Parcelable.Creator<LastUpTrack> CREATOR = new Parcelable.Creator<LastUpTrack>() {
        /* class com.ximalaya.ting.android.opensdk.model.album.LastUpTrack.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public LastUpTrack createFromParcel(Parcel parcel) {
            return new LastUpTrack(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public LastUpTrack[] newArray(int i2) {
            return new LastUpTrack[i2];
        }
    };
    @SerializedName("created_at")
    private long createdAt;
    @SerializedName("duration")
    private long duration;
    @SerializedName("track_id")
    private long trackId;
    @SerializedName("track_title")
    private String trackTitle;
    @SerializedName("updated_at")
    private long updatedAt;

    public LastUpTrack() {
    }

    public int describeContents() {
        return 0;
    }

    public long getCreatedAt() {
        return this.createdAt;
    }

    public long getDuration() {
        return this.duration;
    }

    public long getTrackId() {
        return this.trackId;
    }

    public String getTrackTitle() {
        return this.trackTitle;
    }

    public long getUpdatedAt() {
        return this.updatedAt;
    }

    public void setCreatedAt(long j2) {
        this.createdAt = j2;
    }

    public void setDuration(long j2) {
        this.duration = j2;
    }

    public void setTrackId(long j2) {
        this.trackId = j2;
    }

    public void setTrackTitle(String str) {
        this.trackTitle = str;
    }

    public void setUpdatedAt(long j2) {
        this.updatedAt = j2;
    }

    public String toString() {
        return "LastUpTrack [trackId=" + this.trackId + ", trackTitle=" + this.trackTitle + ", duration=" + this.duration + ", createdAt=" + this.createdAt + ", updatedAt=" + this.updatedAt + "]";
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeLong(this.createdAt);
        parcel.writeLong(this.updatedAt);
        parcel.writeLong(this.trackId);
        parcel.writeLong(this.duration);
        parcel.writeString(this.trackTitle);
    }

    public LastUpTrack(Parcel parcel) {
        this.trackId = parcel.readLong();
        this.duration = parcel.readLong();
        this.createdAt = parcel.readLong();
        this.updatedAt = parcel.readLong();
        this.trackTitle = parcel.readString();
    }
}
