package com.ximalaya.ting.android.opensdk.model.customized;

import com.google.gson.annotations.SerializedName;
import java.util.List;

public class CustomizedTrackColumnDetail extends CustomizedTrack {
    @SerializedName("customized_track_column_items")
    private List<ColumnItems> columnItemses;
    @SerializedName("current_page")
    private int currentPage;
    @SerializedName("total_count")
    private int totalCount;
    @SerializedName("total_page")
    private int totalPage;

    public List<ColumnItems> getColumnItemses() {
        return this.columnItemses;
    }

    public int getCurrentPage() {
        return this.currentPage;
    }

    public int getTotalCount() {
        return this.totalCount;
    }

    public int getTotalPage() {
        return this.totalPage;
    }

    public void setColumnItemses(List<ColumnItems> list) {
        this.columnItemses = list;
    }

    public void setCurrentPage(int i2) {
        this.currentPage = i2;
    }

    public void setTotalCount(int i2) {
        this.totalCount = i2;
    }

    public void setTotalPage(int i2) {
        this.totalPage = i2;
    }

    @Override // com.ximalaya.ting.android.opensdk.model.customized.CustomizedTrack
    public String toString() {
        return "CustomizedTrackColumnDetail{columnItemses=" + this.columnItemses + '}';
    }
}
