package com.ximalaya.ting.android.opensdk.model.pay;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.gson.annotations.SerializedName;

public class AlbumPriceTypeDetail implements Parcelable {
    public static final Parcelable.Creator<AlbumPriceTypeDetail> CREATOR = new Parcelable.Creator<AlbumPriceTypeDetail>() {
        /* class com.ximalaya.ting.android.opensdk.model.pay.AlbumPriceTypeDetail.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public AlbumPriceTypeDetail createFromParcel(Parcel parcel) {
            return new AlbumPriceTypeDetail(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public AlbumPriceTypeDetail[] newArray(int i2) {
            return new AlbumPriceTypeDetail[i2];
        }
    };
    @SerializedName("discounted_price")
    private double discountedPrice;
    @SerializedName("price")
    private double price;
    @SerializedName("price_type")
    private int priceType;
    @SerializedName("price_unit")
    private String priceUnit;

    public AlbumPriceTypeDetail() {
    }

    public int describeContents() {
        return 0;
    }

    public double getDiscountedPrice() {
        return this.discountedPrice;
    }

    public double getPrice() {
        return this.price;
    }

    public int getPriceType() {
        return this.priceType;
    }

    public String getPriceUnit() {
        return this.priceUnit;
    }

    public void setDiscountedPrice(double d2) {
        this.discountedPrice = d2;
    }

    public void setPrice(double d2) {
        this.price = d2;
    }

    public void setPriceType(int i2) {
        this.priceType = i2;
    }

    public void setPriceUnit(String str) {
        this.priceUnit = str;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.priceType);
        parcel.writeDouble(this.price);
        parcel.writeDouble(this.discountedPrice);
        parcel.writeString(this.priceUnit);
    }

    protected AlbumPriceTypeDetail(Parcel parcel) {
        this.priceType = parcel.readInt();
        this.price = parcel.readDouble();
        this.discountedPrice = parcel.readDouble();
        this.priceUnit = parcel.readString();
    }
}
