package com.ximalaya.ting.android.opensdk.model.statistic;

import android.os.Parcel;
import android.os.Parcelable;

public class RecordModel implements Parcelable {
    public static final Parcelable.Creator<RecordModel> CREATOR = new Parcelable.Creator<RecordModel>() {
        /* class com.ximalaya.ting.android.opensdk.model.statistic.RecordModel.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RecordModel createFromParcel(Parcel parcel) {
            RecordModel recordModel = new RecordModel();
            recordModel.readFromParcel(parcel);
            return recordModel;
        }

        @Override // android.os.Parcelable.Creator
        public RecordModel[] newArray(int i2) {
            return new RecordModel[i2];
        }
    };
    public static final int DEVICE_ABQ = 9;
    public static final int DEVICE_CC = 5;
    public static final int DEVICE_FORD = 4;
    public static final int DEVICE_MY_SPIN = 10;
    public static final int TYPE_BLUETOOTH = 1;
    public static final int TYPE_MY_SPIN = 3;
    public static final int TYPE_USB = 4;
    public static final int TYPE_WIFI = 2;
    int device;
    String deviceName;
    int type;

    public RecordModel() {
    }

    public int describeContents() {
        return 0;
    }

    public int getDevice() {
        return this.device;
    }

    public String getDeviceName() {
        return this.deviceName;
    }

    public int getType() {
        return this.type;
    }

    public void readFromParcel(Parcel parcel) {
        setType(parcel.readInt());
        setDevice(parcel.readInt());
        setDeviceName(parcel.readString());
    }

    public void setDevice(int i2) {
        this.device = i2;
    }

    public void setDeviceName(String str) {
        this.deviceName = str;
    }

    public void setType(int i2) {
        this.type = i2;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.type);
        parcel.writeInt(this.device);
        parcel.writeString(this.deviceName);
    }

    public RecordModel(int i2, int i3, String str) {
        this.type = i2;
        this.device = i3;
        this.deviceName = str;
    }
}
