package androidx.fragment.app;

import android.content.Context;
import android.os.Bundle;
import android.view.View;
import androidx.fragment.app.Fragment;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.List;

/* compiled from: FragmentManager */
public abstract class f {
    static final d DEFAULT_FACTORY = new d();
    public static final int POP_BACK_STACK_INCLUSIVE = 1;
    private d mFragmentFactory = null;

    /* compiled from: FragmentManager */
    public interface a {
        String a();
    }

    /* compiled from: FragmentManager */
    public static abstract class b {
        public void a(f fVar, Fragment fragment) {
        }

        public void a(f fVar, Fragment fragment, Context context) {
        }

        public void a(f fVar, Fragment fragment, Bundle bundle) {
        }

        public void a(f fVar, Fragment fragment, View view, Bundle bundle) {
        }

        public void b(f fVar, Fragment fragment) {
        }

        public void b(f fVar, Fragment fragment, Context context) {
        }

        public void b(f fVar, Fragment fragment, Bundle bundle) {
        }

        public void c(f fVar, Fragment fragment) {
        }

        public void c(f fVar, Fragment fragment, Bundle bundle) {
        }

        public void d(f fVar, Fragment fragment) {
        }

        public void d(f fVar, Fragment fragment, Bundle bundle) {
        }

        public void e(f fVar, Fragment fragment) {
        }

        public void f(f fVar, Fragment fragment) {
        }

        public void g(f fVar, Fragment fragment) {
        }
    }

    /* compiled from: FragmentManager */
    public interface c {
        void a();
    }

    public static void enableDebugLogging(boolean z) {
        FragmentManagerImpl.DEBUG = z;
    }

    public abstract void addOnBackStackChangedListener(c cVar);

    public abstract i beginTransaction();

    public abstract void dump(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr);

    public abstract boolean executePendingTransactions();

    public abstract Fragment findFragmentById(int i2);

    public abstract Fragment findFragmentByTag(String str);

    public abstract a getBackStackEntryAt(int i2);

    public abstract int getBackStackEntryCount();

    public abstract Fragment getFragment(Bundle bundle, String str);

    public d getFragmentFactory() {
        if (this.mFragmentFactory == null) {
            this.mFragmentFactory = DEFAULT_FACTORY;
        }
        return this.mFragmentFactory;
    }

    public abstract List<Fragment> getFragments();

    public abstract Fragment getPrimaryNavigationFragment();

    public abstract boolean isDestroyed();

    public abstract boolean isStateSaved();

    @Deprecated
    public i openTransaction() {
        return beginTransaction();
    }

    public abstract void popBackStack();

    public abstract void popBackStack(int i2, int i3);

    public abstract void popBackStack(String str, int i2);

    public abstract boolean popBackStackImmediate();

    public abstract boolean popBackStackImmediate(int i2, int i3);

    public abstract boolean popBackStackImmediate(String str, int i2);

    public abstract void putFragment(Bundle bundle, String str, Fragment fragment);

    public abstract void registerFragmentLifecycleCallbacks(b bVar, boolean z);

    public abstract void removeOnBackStackChangedListener(c cVar);

    public abstract Fragment.SavedState saveFragmentInstanceState(Fragment fragment);

    public void setFragmentFactory(d dVar) {
        this.mFragmentFactory = dVar;
    }

    public abstract void unregisterFragmentLifecycleCallbacks(b bVar);
}
