package com.ecarx.sdk.radio;

public enum Band {
    FM(0),
    AM(1);
    
    private int id;

    private Band(int i2) {
        this.id = i2;
    }

    public static Band bandFromId(int i2) {
        Band[] values = values();
        for (Band band : values) {
            if (band.getId() == i2) {
                return band;
            }
        }
        return FM;
    }

    public int getId() {
        return this.id;
    }
}
