package com.ximalaya.ting.android.car.base.i;

import android.app.Activity;
import android.content.res.Resources;
import android.graphics.Point;
import android.os.Build;
import android.util.DisplayMetrics;
import android.view.WindowManager;

/* compiled from: ScreenUtils */
public final class j {
    public static int a(float f2) {
        return (int) ((f2 * d.d().getDisplayMetrics().density) + 0.5f);
    }

    public static int b() {
        return m.a().getResources().getDisplayMetrics().densityDpi;
    }

    public static int c() {
        WindowManager windowManager = (WindowManager) m.a().getSystemService("window");
        if (windowManager == null) {
            return m.a().getResources().getDisplayMetrics().heightPixels;
        }
        Point point = new Point();
        if (Build.VERSION.SDK_INT >= 17) {
            windowManager.getDefaultDisplay().getRealSize(point);
        } else {
            windowManager.getDefaultDisplay().getSize(point);
        }
        return point.y;
    }

    public static int d() {
        WindowManager windowManager = (WindowManager) m.a().getSystemService("window");
        if (windowManager == null) {
            return m.a().getResources().getDisplayMetrics().widthPixels;
        }
        Point point = new Point();
        if (Build.VERSION.SDK_INT >= 17) {
            windowManager.getDefaultDisplay().getRealSize(point);
        } else {
            windowManager.getDefaultDisplay().getSize(point);
        }
        return point.x;
    }

    public static boolean e() {
        return m.a().getResources().getConfiguration().orientation == 2;
    }

    public static boolean f() {
        return m.a().getResources().getConfiguration().orientation == 1;
    }

    public static boolean g() {
        return (m.a().getResources().getConfiguration().screenLayout & 15) >= 3;
    }

    public static float a() {
        return m.a().getResources().getDisplayMetrics().density;
    }

    public static void b(Activity activity, int i2) {
        a(activity, i2, true);
    }

    public static void a(Activity activity, int i2) {
        a(activity, i2, false);
    }

    private static void a(Activity activity, int i2, boolean z) {
        DisplayMetrics displayMetrics = Resources.getSystem().getDisplayMetrics();
        DisplayMetrics displayMetrics2 = m.a().getResources().getDisplayMetrics();
        DisplayMetrics displayMetrics3 = activity.getResources().getDisplayMetrics();
        if (z) {
            displayMetrics3.density = ((float) displayMetrics3.widthPixels) / ((float) i2);
        } else {
            displayMetrics3.density = ((float) displayMetrics3.heightPixels) / ((float) i2);
        }
        float f2 = displayMetrics3.density;
        displayMetrics3.scaledDensity = (displayMetrics.scaledDensity / displayMetrics.density) * f2;
        displayMetrics3.densityDpi = (int) (160.0f * f2);
        displayMetrics2.density = f2;
        displayMetrics2.scaledDensity = displayMetrics3.scaledDensity;
        displayMetrics2.densityDpi = displayMetrics3.densityDpi;
    }
}
