package com.ximalaya.ting.android.car.opensdk.model.album;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.gson.annotations.SerializedName;
import com.ximalaya.ting.android.opensdk.constants.PreferenceConstantsInOpenSdk;
import com.ximalaya.ting.android.opensdk.model.album.Album;

public class IOTAlbumSubscribed extends IOTAlbumFull {
    public static final Parcelable.Creator<IOTAlbumSubscribed> CREATOR = new Parcelable.Creator<IOTAlbumSubscribed>() {
        /* class com.ximalaya.ting.android.car.opensdk.model.album.IOTAlbumSubscribed.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IOTAlbumSubscribed createFromParcel(Parcel parcel) {
            return new IOTAlbumSubscribed(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IOTAlbumSubscribed[] newArray(int i2) {
            return new IOTAlbumSubscribed[i2];
        }
    };
    @SerializedName(PreferenceConstantsInOpenSdk.TIMELINE)
    private long timeline;
    @SerializedName("updated_tracks_count")
    private int updatedTracksCount;

    public IOTAlbumSubscribed() {
    }

    @Override // com.ximalaya.ting.android.opensdk.model.IOT.IOTAlbum, com.ximalaya.ting.android.car.opensdk.model.album.IOTAlbumFull
    public Album asAlbum() {
        Album asAlbum = super.asAlbum();
        asAlbum.setUpdatedTracksCount(this.updatedTracksCount);
        return asAlbum;
    }

    @Override // com.ximalaya.ting.android.opensdk.model.IOT.IOTAlbum, com.ximalaya.ting.android.car.opensdk.model.album.IOTAlbumFull
    public int describeContents() {
        return 0;
    }

    public long getTimeline() {
        return this.timeline;
    }

    public int getUpdatedTracksCount() {
        return this.updatedTracksCount;
    }

    public void setTimeline(long j2) {
        this.timeline = j2;
    }

    public void setUpdatedTracksCount(int i2) {
        this.updatedTracksCount = i2;
    }

    @Override // com.ximalaya.ting.android.opensdk.model.IOT.IOTAlbum, com.ximalaya.ting.android.car.opensdk.model.album.IOTAlbumFull
    public void writeToParcel(Parcel parcel, int i2) {
        super.writeToParcel(parcel, i2);
        parcel.writeLong(this.timeline);
        parcel.writeInt(this.updatedTracksCount);
    }

    protected IOTAlbumSubscribed(Parcel parcel) {
        super(parcel);
        this.timeline = parcel.readLong();
        this.updatedTracksCount = parcel.readInt();
    }
}
