package com.ximalaya.ting.android.car.opensdk.model.extra;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.gson.annotations.SerializedName;
import com.ximalaya.ting.android.car.opensdk.model.XimaIotDataResponse;

public class IOTPlayUrl extends XimaIotDataResponse implements Parcelable {
    public static final Parcelable.Creator<IOTPlayUrl> CREATOR = new Parcelable.Creator<IOTPlayUrl>() {
        /* class com.ximalaya.ting.android.car.opensdk.model.extra.IOTPlayUrl.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IOTPlayUrl createFromParcel(Parcel parcel) {
            return new IOTPlayUrl(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IOTPlayUrl[] newArray(int i2) {
            return new IOTPlayUrl[i2];
        }
    };
    @SerializedName("aac24")
    private String aac24;
    @SerializedName("aac64")
    private String aac64;
    @SerializedName("ts24")
    private String ts24;
    @SerializedName("ts64")
    private String ts64;

    public IOTPlayUrl() {
    }

    public int describeContents() {
        return 0;
    }

    public String getAac24() {
        return this.aac24;
    }

    public String getAac64() {
        return this.aac64;
    }

    public String getTs24() {
        return this.ts24;
    }

    public String getTs64() {
        return this.ts64;
    }

    public void setAac24(String str) {
        this.aac24 = str;
    }

    public void setAac64(String str) {
        this.aac64 = str;
    }

    public void setTs24(String str) {
        this.ts24 = str;
    }

    public void setTs64(String str) {
        this.ts64 = str;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeString(this.aac24);
        parcel.writeString(this.aac64);
        parcel.writeString(this.ts24);
        parcel.writeString(this.ts64);
    }

    protected IOTPlayUrl(Parcel parcel) {
        this.aac24 = parcel.readString();
        this.aac64 = parcel.readString();
        this.ts24 = parcel.readString();
        this.ts64 = parcel.readString();
    }
}
