package com.ximalaya.ting.android.car.opensdk.model.metadata;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.gson.annotations.SerializedName;
import java.util.ArrayList;
import java.util.List;

public class IOTMetaData implements Parcelable {
    public static final Parcelable.Creator<IOTMetaData> CREATOR = new Parcelable.Creator<IOTMetaData>() {
        /* class com.ximalaya.ting.android.car.opensdk.model.metadata.IOTMetaData.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IOTMetaData createFromParcel(Parcel parcel) {
            return new IOTMetaData(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IOTMetaData[] newArray(int i2) {
            return new IOTMetaData[i2];
        }
    };
    @SerializedName("attributes")
    private List<IOTAttribute> attributes;
    @SerializedName("display_name")
    private String displayName;

    public IOTMetaData() {
    }

    public int describeContents() {
        return 0;
    }

    public List<IOTAttribute> getAttributes() {
        return this.attributes;
    }

    public String getDisplayName() {
        return this.displayName;
    }

    public void setAttributes(List<IOTAttribute> list) {
        this.attributes = list;
    }

    public void setDisplayName(String str) {
        this.displayName = str;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeString(this.displayName);
        parcel.writeList(this.attributes);
    }

    protected IOTMetaData(Parcel parcel) {
        this.displayName = parcel.readString();
        this.attributes = new ArrayList();
        parcel.readList(this.attributes, IOTAttribute.class.getClassLoader());
    }
}
