package com.ximalaya.ting.android.car.opensdk.model.recommend;

import g.e.a.c;

/* compiled from: OnlineProtocol.kt */
public final class OnlineProtocol {
    private final String app_key;
    private final Long id;
    private final String protocol_description;
    private final Boolean protocol_status;
    private final Integer protocol_type;
    private final String protocol_url;
    private final String protocol_version;

    public OnlineProtocol(Long l, String str, Integer num, String str2, Boolean bool, String str3, String str4) {
        this.id = l;
        this.app_key = str;
        this.protocol_type = num;
        this.protocol_version = str2;
        this.protocol_status = bool;
        this.protocol_description = str3;
        this.protocol_url = str4;
    }

    public static /* synthetic */ OnlineProtocol copy$default(OnlineProtocol onlineProtocol, Long l, String str, Integer num, String str2, Boolean bool, String str3, String str4, int i2, Object obj) {
        if ((i2 & 1) != 0) {
            l = onlineProtocol.id;
        }
        if ((i2 & 2) != 0) {
            str = onlineProtocol.app_key;
        }
        if ((i2 & 4) != 0) {
            num = onlineProtocol.protocol_type;
        }
        if ((i2 & 8) != 0) {
            str2 = onlineProtocol.protocol_version;
        }
        if ((i2 & 16) != 0) {
            bool = onlineProtocol.protocol_status;
        }
        if ((i2 & 32) != 0) {
            str3 = onlineProtocol.protocol_description;
        }
        if ((i2 & 64) != 0) {
            str4 = onlineProtocol.protocol_url;
        }
        return onlineProtocol.copy(l, str, num, str2, bool, str3, str4);
    }

    public final Long component1() {
        return this.id;
    }

    public final String component2() {
        return this.app_key;
    }

    public final Integer component3() {
        return this.protocol_type;
    }

    public final String component4() {
        return this.protocol_version;
    }

    public final Boolean component5() {
        return this.protocol_status;
    }

    public final String component6() {
        return this.protocol_description;
    }

    public final String component7() {
        return this.protocol_url;
    }

    public final OnlineProtocol copy(Long l, String str, Integer num, String str2, Boolean bool, String str3, String str4) {
        return new OnlineProtocol(l, str, num, str2, bool, str3, str4);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof OnlineProtocol)) {
            return false;
        }
        OnlineProtocol onlineProtocol = (OnlineProtocol) obj;
        return c.a(this.id, onlineProtocol.id) && c.a(this.app_key, onlineProtocol.app_key) && c.a(this.protocol_type, onlineProtocol.protocol_type) && c.a(this.protocol_version, onlineProtocol.protocol_version) && c.a(this.protocol_status, onlineProtocol.protocol_status) && c.a(this.protocol_description, onlineProtocol.protocol_description) && c.a(this.protocol_url, onlineProtocol.protocol_url);
    }

    public final String getApp_key() {
        return this.app_key;
    }

    public final Long getId() {
        return this.id;
    }

    public final String getProtocol_description() {
        return this.protocol_description;
    }

    public final Boolean getProtocol_status() {
        return this.protocol_status;
    }

    public final Integer getProtocol_type() {
        return this.protocol_type;
    }

    public final String getProtocol_url() {
        return this.protocol_url;
    }

    public final String getProtocol_version() {
        return this.protocol_version;
    }

    public int hashCode() {
        Long l = this.id;
        int i2 = 0;
        int hashCode = (l != null ? l.hashCode() : 0) * 31;
        String str = this.app_key;
        int hashCode2 = (hashCode + (str != null ? str.hashCode() : 0)) * 31;
        Integer num = this.protocol_type;
        int hashCode3 = (hashCode2 + (num != null ? num.hashCode() : 0)) * 31;
        String str2 = this.protocol_version;
        int hashCode4 = (hashCode3 + (str2 != null ? str2.hashCode() : 0)) * 31;
        Boolean bool = this.protocol_status;
        int hashCode5 = (hashCode4 + (bool != null ? bool.hashCode() : 0)) * 31;
        String str3 = this.protocol_description;
        int hashCode6 = (hashCode5 + (str3 != null ? str3.hashCode() : 0)) * 31;
        String str4 = this.protocol_url;
        if (str4 != null) {
            i2 = str4.hashCode();
        }
        return hashCode6 + i2;
    }

    public String toString() {
        return "OnlineProtocol(id=" + this.id + ", app_key=" + this.app_key + ", protocol_type=" + this.protocol_type + ", protocol_version=" + this.protocol_version + ", protocol_status=" + this.protocol_status + ", protocol_description=" + this.protocol_description + ", protocol_url=" + this.protocol_url + ")";
    }
}
