package com.ximalaya.ting.android.car.opensdk.model.recommend;

import g.e.a.c;

/* compiled from: OnlineProtocol.kt */
public final class OnlineProtocolResponse {
    private final String code;
    private final String msg;
    private final OnlineProtocol online_protocol;

    public OnlineProtocolResponse(String str, String str2, OnlineProtocol onlineProtocol) {
        this.code = str;
        this.msg = str2;
        this.online_protocol = onlineProtocol;
    }

    public static /* synthetic */ OnlineProtocolResponse copy$default(OnlineProtocolResponse onlineProtocolResponse, String str, String str2, OnlineProtocol onlineProtocol, int i2, Object obj) {
        if ((i2 & 1) != 0) {
            str = onlineProtocolResponse.code;
        }
        if ((i2 & 2) != 0) {
            str2 = onlineProtocolResponse.msg;
        }
        if ((i2 & 4) != 0) {
            onlineProtocol = onlineProtocolResponse.online_protocol;
        }
        return onlineProtocolResponse.copy(str, str2, onlineProtocol);
    }

    public final String component1() {
        return this.code;
    }

    public final String component2() {
        return this.msg;
    }

    public final OnlineProtocol component3() {
        return this.online_protocol;
    }

    public final OnlineProtocolResponse copy(String str, String str2, OnlineProtocol onlineProtocol) {
        return new OnlineProtocolResponse(str, str2, onlineProtocol);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof OnlineProtocolResponse)) {
            return false;
        }
        OnlineProtocolResponse onlineProtocolResponse = (OnlineProtocolResponse) obj;
        return c.a(this.code, onlineProtocolResponse.code) && c.a(this.msg, onlineProtocolResponse.msg) && c.a(this.online_protocol, onlineProtocolResponse.online_protocol);
    }

    public final String getCode() {
        return this.code;
    }

    public final String getMsg() {
        return this.msg;
    }

    public final OnlineProtocol getOnline_protocol() {
        return this.online_protocol;
    }

    public int hashCode() {
        String str = this.code;
        int i2 = 0;
        int hashCode = (str != null ? str.hashCode() : 0) * 31;
        String str2 = this.msg;
        int hashCode2 = (hashCode + (str2 != null ? str2.hashCode() : 0)) * 31;
        OnlineProtocol onlineProtocol = this.online_protocol;
        if (onlineProtocol != null) {
            i2 = onlineProtocol.hashCode();
        }
        return hashCode2 + i2;
    }

    public String toString() {
        return "OnlineProtocolResponse(code=" + this.code + ", msg=" + this.msg + ", online_protocol=" + this.online_protocol + ")";
    }
}
