package com.ximalaya.ting.android.carkids.base;

import android.content.res.Configuration;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import com.ximalaya.ting.android.car.base.i.d;
import com.ximalaya.ting.android.car.base.i.i;
import com.ximalaya.ting.android.car.base.i.j;
import com.ximalaya.ting.android.car.framework.base.BaseFragment;
import com.ximalaya.ting.android.car.framework.base.h;
import com.ximalaya.ting.android.car.framework.base.k;
import com.ximalaya.ting.android.carkids.C0250R$color;
import com.ximalaya.ting.android.carkids.C0251R$dimen;
import com.ximalaya.ting.android.carkids.C0253R$id;
import com.ximalaya.ting.android.carkids.C0258R$string;
import com.ximalaya.ting.android.carkids.DebugModule;
import com.ximalaya.ting.android.carkids.b.b.c.e.l;
import com.ximalaya.ting.android.carkids.tools.FragmentUtils;
import com.ximalaya.ting.android.carkids.view.IconTextView;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.xmtrace.PluginAgent;
import com.ximalaya.ting.android.xmtrace.m;
import d.h.b.a.a.a.e.b.a;
import j.a.a.a;
import j.a.b.b.b;
import java.lang.ref.Reference;
import java.lang.ref.SoftReference;

public abstract class CommonCarFragment<P extends d.h.b.a.a.a.e.b.a> extends BaseFragment<P> implements h {
    private static String BUNDLE_KEY_LOGIC_PAGE_NAME = "bundle_key_logic_page_name";
    private static final /* synthetic */ a.AbstractC0243a ajc$tjp_0 = null;
    private static final /* synthetic */ a.AbstractC0243a ajc$tjp_1 = null;
    private static final /* synthetic */ a.AbstractC0243a ajc$tjp_2 = null;
    private static final /* synthetic */ a.AbstractC0243a ajc$tjp_3 = null;
    private int TIME_TEN_MINUTES = 600000;
    private int backPressedCount = 0;
    private Handler mHandler = new Handler();
    private long mLastStamp = -1;
    protected Reference<View> mLoadingViewRef;
    protected Reference<View> mNetworkErrorViewRef;
    protected Reference<View> mNoContentViewRef;
    protected l mProgressDialog;
    Runnable mRefreshRunnable = new a();
    private CharSequence mTitle = "";

    class a implements Runnable {
        a() {
        }

        public void run() {
            if (CommonCarFragment.this.autoRefreshFra()) {
                if (com.ximalaya.ting.android.car.base.i.h.b(CommonCarFragment.this.getPresenter())) {
                    CommonCarFragment.this.refreshTenMinus();
                }
                Handler handler = CommonCarFragment.this.mHandler;
                CommonCarFragment commonCarFragment = CommonCarFragment.this;
                handler.postDelayed(commonCarFragment.mRefreshRunnable, (long) commonCarFragment.TIME_TEN_MINUTES);
            }
        }
    }

    static {
        ajc$preClinit();
    }

    protected CommonCarFragment() {
    }

    private static /* synthetic */ void ajc$preClinit() {
        b bVar = new b("CommonCarFragment.java", CommonCarFragment.class);
        ajc$tjp_0 = bVar.a("method-call", bVar.a(XmlyConstants$ClientOSType.IOS, "show", "com.ximalaya.ting.android.carkids.business.module.pop.dialog.ProgressDialog", "", "", "", "void"), 376);
        ajc$tjp_1 = bVar.a("method-execution", bVar.a("1002", "lambda$getNoLoginView$2", "com.ximalaya.ting.android.carkids.base.CommonCarFragment", "android.view.View", "v", "", "void"), 222);
        ajc$tjp_2 = bVar.a("method-execution", bVar.a("1002", "lambda$getNetworkErrorView$1", "com.ximalaya.ting.android.carkids.base.CommonCarFragment", "android.view.View", "view", "", "void"), 185);
        ajc$tjp_3 = bVar.a("method-execution", bVar.a("1002", "lambda$setBackTitleText$0", "com.ximalaya.ting.android.carkids.base.CommonCarFragment", "android.view.View", "v", "", "void"), 109);
    }

    private View getNoLoginView() {
        View noContentView = getNoContentView();
        noContentView.findViewById(C0253R$id.tv_title_no_content).setVisibility(8);
        noContentView.findViewById(C0253R$id.bt_action_no_content).setVisibility(0);
        ((TextView) noContentView.findViewById(C0253R$id.bt_action_no_content)).setText("前往登录");
        noContentView.findViewById(C0253R$id.bt_action_no_content).setOnClickListener(new b(this));
        return noContentView;
    }

    private void setBackTitleText() {
        TextView textView = (TextView) findViewById(C0253R$id.tv_title);
        if (textView != null) {
            textView.setText(this.mTitle);
        }
        IconTextView iconTextView = (IconTextView) findViewById(C0253R$id.back_btn);
        if (iconTextView == null) {
            return;
        }
        if (com.ximalaya.ting.android.carkids.d.a.k) {
            iconTextView.setVisibility(8);
            return;
        }
        iconTextView.setText(getString(C0258R$string.car_icon_arrow_left));
        iconTextView.setOnClickListener(new c(this));
    }

    public /* synthetic */ void a(View view) {
        PluginAgent.aspectOf().onClickLambda(b.a(ajc$tjp_2, this, this, view));
        if (!com.ximalaya.ting.android.car.base.g.a.b()) {
            com.ximalaya.ting.android.car.base.i.l.b(d.b().getResources().getString(C0258R$string.net_error_string));
        } else {
            reloadData();
        }
    }

    /* access modifiers changed from: protected */
    public void albumListShowTrace(Long l) {
        m.o oVar = new m.o();
        oVar.d(48077);
        oVar.a("slipPage");
        oVar.a("albumId", String.valueOf(l));
        oVar.a("currPage", "albumList");
        oVar.a("exploreType", "albumList");
        oVar.a();
    }

    /* access modifiers changed from: protected */
    public boolean autoRefreshFra() {
        return false;
    }

    public /* synthetic */ void b(View view) {
        PluginAgent.aspectOf().onClickLambda(b.a(ajc$tjp_1, this, this, view));
        FragmentUtils.a(getFragmentManager());
    }

    public /* synthetic */ void c(View view) {
        PluginAgent.aspectOf().onClickLambda(b.a(ajc$tjp_3, this, this, view));
        onBackPressed();
    }

    /* access modifiers changed from: protected */
    public void clickAlbumInAlbumList(Long l) {
        m.o oVar = new m.o();
        oVar.b(48076);
        oVar.a("albumId", String.valueOf(l));
        oVar.a("currPage", "AlbumListFragment");
        oVar.a();
    }

    /* access modifiers changed from: protected */
    public void entryAlbumListPageTrack(String str) {
        m.o oVar = new m.o();
        oVar.a(21940, str);
        oVar.a("currPage", str);
        oVar.a();
    }

    /* access modifiers changed from: protected */
    public void exitAlbumListPageTrack() {
        m.o oVar = new m.o();
        oVar.c(21941);
        oVar.a();
    }

    /* access modifiers changed from: protected */
    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public View getLoadingView() {
        Reference<View> reference = this.mLoadingViewRef;
        if (reference != null && reference.get() != null) {
            return this.mLoadingViewRef.get();
        }
        View inflate = View.inflate(getCActivity(), 2131427597, null);
        this.mLoadingViewRef = new SoftReference(inflate);
        return inflate;
    }

    public final String getLogicPageTitle() {
        String string = com.ximalaya.ting.android.car.base.i.h.b(getArguments()) ? getArguments().getString(BUNDLE_KEY_LOGIC_PAGE_NAME) : null;
        if (com.ximalaya.ting.android.car.base.i.h.a(string)) {
            string = returnLogicPageTitle();
        }
        if (!d.e() || (!com.ximalaya.ting.android.car.base.i.h.a(string) && !getClass().getSimpleName().equals(string))) {
            return string;
        }
        throw new RuntimeException("请给 " + getClass().getSimpleName() + " 页面一个逻辑名称 可复写returnLogicPageTitle()方法内部静态定义，\n或者 构建时调用setLogicPageTitle(String logicPageTitle）方法动态设置 \n供可视化埋点来用！");
    }

    /* access modifiers changed from: protected */
    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public View getNetworkErrorView() {
        Reference<View> reference = this.mNetworkErrorViewRef;
        if (reference != null && reference.get() != null) {
            return this.mNetworkErrorViewRef.get();
        }
        View inflate = View.inflate(getCActivity(), 2131427599, null);
        this.mNetworkErrorViewRef = new SoftReference(inflate);
        inflate.findViewById(C0253R$id.bt_action_net_error).setOnClickListener(new a(this));
        return inflate;
    }

    /* access modifiers changed from: protected */
    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public View getNoContentView() {
        Reference<View> reference = this.mNoContentViewRef;
        if (reference != null && reference.get() != null) {
            return this.mNoContentViewRef.get();
        }
        View inflate = View.inflate(getCActivity(), 2131427600, null);
        ((TextView) inflate.findViewById(C0253R$id.tv_title_no_content)).setText("内容为空！");
        this.mNoContentViewRef = new SoftReference(inflate);
        return inflate;
    }

    /* access modifiers changed from: protected */
    public View getNoSearchView() {
        View noContentView = getNoContentView();
        noContentView.setPadding(0, 0, 0, i.b(C0251R$dimen.size_40px));
        ((IconTextView) noContentView.findViewById(C0253R$id.iv_no_content)).setText(C0258R$string.car_img_default_search);
        ((TextView) noContentView.findViewById(C0253R$id.tv_title_no_content)).setText("没有搜索结果，请换个搜索词重新试一次");
        noContentView.findViewById(C0253R$id.bt_action_no_content).setVisibility(8);
        return noContentView;
    }

    public CharSequence getPageTitle() {
        return this.mTitle;
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public Drawable getPlaceViewBackgroundDrawable() {
        return i.c(C0250R$color.base_background);
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public ViewGroup getPlaceViewContainer() {
        if (getView() == null) {
            return null;
        }
        return (ViewGroup) getView().findViewById(C0253R$id.fra_content_container);
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public void handleArgs(Bundle bundle) {
    }

    @Override // d.h.b.a.a.a.e.c.a
    public void hideProgressDialog() {
        l lVar = this.mProgressDialog;
        if (lVar != null && lVar.isShowing()) {
            this.mProgressDialog.dismiss();
            this.mProgressDialog = null;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public void initUi(Bundle bundle) {
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public boolean initWhenRotate() {
        return false;
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, androidx.fragment.app.Fragment
    public void onActivityCreated(Bundle bundle) {
        super.onActivityCreated(bundle);
        if (j.f()) {
            View view = getView();
            k.a(view, "V_" + getLogicPageTitle());
        } else {
            View view2 = getView();
            k.a(view2, "H_" + getLogicPageTitle());
        }
        k.a(this, getContext(), getView(), getContainerLayoutId());
        setBackTitleText();
    }

    public void onBackPressed() {
        FragmentUtils.a();
        int i2 = this.backPressedCount;
        if (i2 <= 0 || i2 >= 3) {
            this.backPressedCount++;
            hideSoftInput();
            if (getParentFragment() != null) {
                pop();
            } else {
                this._mActivity.onBackPressed();
            }
        } else {
            this.backPressedCount = i2 + 1;
        }
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, androidx.fragment.app.Fragment
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        hideProgressDialog();
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        hideProgressDialog();
        DebugModule.a(this);
        e.d().a();
        super.onDestroy();
        k.a(this);
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, androidx.fragment.app.Fragment
    public void onDestroyView() {
        super.onDestroyView();
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, androidx.fragment.app.Fragment
    public void onHiddenChanged(boolean z) {
        super.onHiddenChanged(z);
        k.a(this, z);
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, androidx.fragment.app.Fragment
    public void onPause() {
        super.onPause();
        k.b(this);
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        k.c(this);
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, h.a.a.d
    public void onSupportInvisible() {
        super.onSupportInvisible();
        hideProgressDialog();
        if (autoRefreshFra()) {
            this.mLastStamp = System.currentTimeMillis();
            this.mHandler.removeCallbacks(this.mRefreshRunnable);
        }
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, h.a.a.d
    public void onSupportVisible() {
        super.onSupportVisible();
        if (autoRefreshFra()) {
            long j2 = 0;
            if (this.mLastStamp > 0) {
                long currentTimeMillis = System.currentTimeMillis() - this.mLastStamp;
                int i2 = this.TIME_TEN_MINUTES;
                if (currentTimeMillis < ((long) i2)) {
                    j2 = ((long) i2) - currentTimeMillis;
                }
                this.mHandler.removeCallbacks(this.mRefreshRunnable);
                this.mHandler.postDelayed(this.mRefreshRunnable, j2);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void refreshTenMinus() {
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public void reloadData() {
        if (getPresenter() != null && ((d.h.b.a.a.a.e.b.a) getPresenter()).g()) {
            ((d.h.b.a.a.a.e.b.a) getPresenter()).i();
        }
    }

    public abstract String returnLogicPageTitle();

    public final void setLogicPageTitle(String str) {
        if (com.ximalaya.ting.android.car.base.i.h.a(getArguments())) {
            setArguments(new Bundle());
        }
        getArguments().putString(BUNDLE_KEY_LOGIC_PAGE_NAME, str);
    }

    public void setPageTitle(CharSequence charSequence) {
        this.mTitle = charSequence;
        setBackTitleText();
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, androidx.fragment.app.Fragment
    public void setUserVisibleHint(boolean z) {
        super.setUserVisibleHint(z);
        k.b(this, z);
    }

    public void showNoContent(String str) {
        ((TextView) getNoContentView().findViewById(C0253R$id.tv_title_no_content)).setText(str);
        showNoContent();
    }

    public void showNoLogin() {
        showPlaceView(getNoLoginView());
    }

    public void showNoSearchContent() {
        showPlaceView(getNoSearchView());
    }

    @Override // d.h.b.a.a.a.e.c.a
    public void showProgressDialog(String str) {
        if (this.mProgressDialog == null) {
            this.mProgressDialog = new l(this._mActivity);
        }
        l lVar = this.mProgressDialog;
        lVar.a(str);
        j.a.a.a a2 = b.a(ajc$tjp_0, this, lVar);
        try {
            lVar.show();
        } finally {
            PluginAgent.aspectOf().afterDialogShow(a2);
        }
    }
}
