package com.ximalaya.ting.android.carkids.business.module.play;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.loadmore.LoadMoreView;
import com.ximalaya.ting.android.car.base.i.h;
import com.ximalaya.ting.android.car.base.i.i;
import com.ximalaya.ting.android.car.carbusiness.service.XmPlayerControler;
import com.ximalaya.ting.android.car.opensdk.model.track.IOTTrackFull;
import com.ximalaya.ting.android.carkids.C0251R$dimen;
import com.ximalaya.ting.android.carkids.C0253R$id;
import com.ximalaya.ting.android.carkids.C0256R$layout;
import com.ximalaya.ting.android.carkids.C0258R$string;
import com.ximalaya.ting.android.carkids.base.CommonCarDialogFragment;
import com.ximalaya.ting.android.carkids.business.module.play.adapter.PlayListAdapterNew;
import com.ximalaya.ting.android.carkids.manager.PlayStateModule;
import com.ximalaya.ting.android.carkids.view.IconTextView;
import com.ximalaya.ting.android.opensdk.login.constant.XmlyConstants$ClientOSType;
import com.ximalaya.ting.android.opensdk.model.PlayMode;
import com.ximalaya.ting.android.opensdk.player.XmPlayerManager;
import com.ximalaya.ting.android.xmtrace.PluginAgent;
import com.ximalaya.ting.android.xmtrace.m;
import j.a.a.a;
import java.util.Collection;
import java.util.HashMap;
import java.util.List;
import org.greenrobot.eventbus.ThreadMode;

public class PlayListFragmentH extends CommonCarDialogFragment<com.ximalaya.ting.android.carkids.business.module.play.f.b> implements View.OnClickListener, com.ximalaya.ting.android.carkids.business.module.play.f.c {
    private static final /* synthetic */ a.AbstractC0243a B = null;
    private boolean A;
    private View t;
    private TextView u;
    private IconTextView v;
    private PlayListAdapterNew w;
    private RecyclerView x;
    private com.ximalaya.ting.android.carkids.b.a.a.a y;
    private long z;

    class a extends HashMap<String, String> {
        a() {
            put("currPage", "play_list");
            put("albumId", PlayListFragmentH.this.z + "");
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends LoadMoreView {
        b(PlayListFragmentH playListFragmentH) {
        }

        @Override // com.chad.library.adapter.base.loadmore.LoadMoreView
        public int getLayoutId() {
            return com.ximalaya.ting.android.car.carbusiness.k.a.f() ? C0256R$layout.layout_load_more_footer : C0256R$layout.layout_one_key_footer;
        }

        /* access modifiers changed from: protected */
        @Override // com.chad.library.adapter.base.loadmore.LoadMoreView
        public int getLoadEndViewId() {
            return C0253R$id.no_more_data;
        }

        /* access modifiers changed from: protected */
        @Override // com.chad.library.adapter.base.loadmore.LoadMoreView
        public int getLoadFailViewId() {
            return C0253R$id.error;
        }

        /* access modifiers changed from: protected */
        @Override // com.chad.library.adapter.base.loadmore.LoadMoreView
        public int getLoadingViewId() {
            return C0253R$id.tv_loading;
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends HashMap<String, String> {
        c() {
            put("currPage", "playBar");
            put("playMode", PlayListFragmentH.this.u.getText().toString());
        }
    }

    private static class d {
    }

    static {
        ajc$preClinit();
    }

    private static /* synthetic */ void ajc$preClinit() {
        j.a.b.b.b bVar = new j.a.b.b.b("PlayListFragmentH.java", PlayListFragmentH.class);
        B = bVar.a("method-execution", bVar.a(XmlyConstants$ClientOSType.IOS, "onClick", "com.ximalaya.ting.android.carkids.business.module.play.PlayListFragmentH", "android.view.View", "v", "", "void"), 182);
    }

    private void d0() {
        this.t = findViewById(C0253R$id.play_mode);
        this.u = (TextView) findViewById(C0253R$id.play_mode_text);
        this.v = (IconTextView) findViewById(C0253R$id.ic_play_mode);
        if (this.w == null) {
            this.w = new PlayListAdapterNew(this);
            this.w.setLoadMoreView(new b(this));
            this.w.setOnItemClickListener(new c(this));
            this.w.setOnLoadMoreListener(new a(this), this.x);
            this.w.setUpFetchListener(new b(this));
        }
        this.x = (RecyclerView) findViewById(C0253R$id.track_list);
        this.y = new com.ximalaya.ting.android.carkids.b.a.a.a(0, i.b(C0251R$dimen.size_8px));
        this.x.addItemDecoration(this.y);
        this.x.setLayoutManager(new LinearLayoutManager(getContext()));
        this.x.setAdapter(this.w);
        findViewById(C0253R$id.root).setOnClickListener(this);
        if (PlayStateModule.q().l()) {
            findViewById(C0253R$id.group_play_mode).setVisibility(8);
        } else {
            findViewById(C0253R$id.play_mode).setOnClickListener(this);
        }
        ((com.ximalaya.ting.android.carkids.business.module.play.f.b) getPresenter()).j();
    }

    private void e0() {
        PlayListAdapterNew playListAdapterNew;
        long p = PlayStateModule.p();
        if (!(p == -1 || this.x == null || (playListAdapterNew = this.w) == null)) {
            List data = playListAdapterNew.getData();
            if (!data.isEmpty()) {
                for (int i2 = 0; i2 < data.size(); i2++) {
                    IOTTrackFull iOTTrackFull = (IOTTrackFull) data.get(i2);
                    if (iOTTrackFull != null && iOTTrackFull.getId() == p) {
                        this.x.scrollToPosition(i2);
                        return;
                    }
                }
            }
        }
    }

    public static PlayListFragmentH m(boolean z2) {
        Bundle bundle = new Bundle();
        bundle.putBoolean("play_category", z2);
        PlayListFragmentH playListFragmentH = new PlayListFragmentH();
        playListFragmentH.setArguments(bundle);
        return playListFragmentH;
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void C() {
        this.w.loadMoreFail();
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void E() {
        this.t.setVisibility(0);
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void H() {
        this.w.notifyDataSetChanged();
        e0();
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void M() {
        this.w.loadMoreComplete();
        this.w.setUpFetching(false);
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public boolean Q() {
        return h.a(this.w.getData());
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void U() {
        this.w.setUpFetchEnable(false);
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void a(boolean z2) {
    }

    public /* synthetic */ void b0() {
        ((com.ximalaya.ting.android.carkids.business.module.play.f.b) getPresenter()).k();
    }

    public /* synthetic */ void c0() {
        this.w.setUpFetching(true);
        ((com.ximalaya.ting.android.carkids.business.module.play.f.b) getPresenter()).l();
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void f(boolean z2) {
        this.w.setUpFetchEnable(z2);
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void g() {
        this.w.loadMoreEnd();
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public int getContainerLayoutId() {
        return C0256R$layout.fra_play_list_horizontal;
    }

    /* access modifiers changed from: protected */
    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, com.ximalaya.ting.android.carkids.base.CommonCarDialogFragment
    public void initUi(Bundle bundle) {
        super.initUi(bundle);
        d0();
        this.A = getArguments().getBoolean("play_category");
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void j(List<IOTTrackFull> list) {
        showNormalContent();
        this.w.setNewData(list);
        e0();
    }

    public void onClick(View view) {
        j.a.a.a a2 = j.a.b.b.b.a(B, this, this, view);
        PluginAgent.aspectOf().onClick(a2);
        b.a.b().a(new d(new Object[]{this, view, a2}).linkClosureAndJoinPoint(69648));
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, com.ximalaya.ting.android.car.framework.base.BaseDialogFragment, com.ximalaya.ting.android.carkids.base.CommonCarDialogFragment, androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        d.h.b.a.a.a.f.a.c(this);
        this.z = XmPlayerManager.a(com.ximalaya.ting.android.car.base.i.d.b()).b(true).getAlbum().getAlbumId();
        com.ximalaya.ting.android.carkids.xmtrace.a.a(22012, "dialogView", new a());
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, com.ximalaya.ting.android.car.framework.base.AbsCommonDialogFragment, com.ximalaya.ting.android.carkids.base.CommonCarDialogFragment, androidx.fragment.app.Fragment, com.ximalaya.ting.android.car.framework.base.AbsCommonFragment
    public void onDestroy() {
        super.onDestroy();
        m.o oVar = new m.o();
        oVar.c(22012);
        oVar.a();
        d.h.b.a.a.a.f.a.d(this);
    }

    @org.greenrobot.eventbus.m(threadMode = ThreadMode.MAIN)
    public void onEvent(d dVar) {
        Z();
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, androidx.fragment.app.Fragment, com.ximalaya.ting.android.car.framework.base.AbsCommonFragment
    public void onPause() {
        super.onPause();
        XmPlayerControler.b(-5);
    }

    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment, androidx.fragment.app.Fragment, com.ximalaya.ting.android.car.framework.base.AbsCommonFragment
    public void onResume() {
        super.onResume();
        XmPlayerControler.b(5);
    }

    @Override // com.ximalaya.ting.android.car.framework.base.AbsCommonFragment
    public String returnLogicPageTitle() {
        return "声音播放列表页";
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void s() {
        this.t.setVisibility(8);
    }

    public /* synthetic */ void a(BaseQuickAdapter baseQuickAdapter, View view, int i2) {
        IOTTrackFull iOTTrackFull = (IOTTrackFull) this.w.getItem(i2);
        if (this.A) {
            m.o oVar = new m.o();
            oVar.b(47936);
            oVar.a("trackId", String.valueOf(iOTTrackFull.getId()));
            oVar.a("currPage", "playBar");
            oVar.a();
        } else {
            m.o oVar2 = new m.o();
            oVar2.d(48096);
            oVar2.a("dialogClick");
            oVar2.a("trackId", String.valueOf(iOTTrackFull.getId()));
            oVar2.a("currPage", "playTrackPage");
            oVar2.a();
        }
        ((com.ximalaya.ting.android.carkids.business.module.play.f.b) getPresenter()).a(this.w.getData(), i2);
    }

    /* access modifiers changed from: protected */
    @Override // com.ximalaya.ting.android.car.framework.base.BaseFragment
    public com.ximalaya.ting.android.carkids.business.module.play.f.b createPresenter() {
        return new com.ximalaya.ting.android.carkids.business.module.play.h.a();
    }

    static final /* synthetic */ void a(PlayListFragmentH playListFragmentH, View view, j.a.a.a aVar) {
        int id = view.getId();
        if (id == 2131231251) {
            ((com.ximalaya.ting.android.carkids.business.module.play.f.b) playListFragmentH.getPresenter()).m();
            if (playListFragmentH.A) {
                com.ximalaya.ting.android.carkids.xmtrace.a.a(21977, "dialogClick", new c());
                return;
            }
            m.o oVar = new m.o();
            oVar.d(48097);
            oVar.a("dialogClick");
            oVar.a("currPage", "playTrackPage");
            oVar.a();
        } else if (id == 2131231281) {
            playListFragmentH.Z();
        }
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void a(PlayMode playMode) {
        if (playMode == PlayMode.PLAY_MODEL_RANDOM) {
            this.u.setText("随机播放");
            this.v.setText(C0258R$string.car_icon_play_random);
        } else if (playMode == PlayMode.PLAY_MODEL_LIST) {
            this.u.setText("顺序播放");
            this.v.setText(C0258R$string.car_icon_play_order);
        }
    }

    @Override // com.ximalaya.ting.android.carkids.business.module.play.f.c
    public void a(List<IOTTrackFull> list, boolean z2) {
        if (Q()) {
            showNormalContent();
        }
        if (h.b(list)) {
            if (z2) {
                this.w.addData((Collection) list);
            } else {
                this.w.addData(0, (Collection) list);
            }
        } else if (!Q()) {
            this.w.loadMoreEnd();
        } else {
            showNoContent();
        }
    }
}
