package com.ximalaya.ting.android.opensdk.model.pay;

import com.google.gson.annotations.SerializedName;
import com.ximalaya.ting.android.opensdk.datatrasfer.f;
import java.util.List;

public class PayInfo extends f {
    @SerializedName("composed_price_type")
    private int composedPriceType;
    @SerializedName("price_type_detail")
    private List<PriceTypeDetailBean> priceTypeDetail;

    public static class PriceTypeDetailBean {
        @SerializedName("discounted_price")
        private float discountedPrice;
        private float price;
        @SerializedName("price_type")
        private int priceType;
        @SerializedName("price_unit")
        private String priceUnit;

        public float getDiscountedPrice() {
            return this.discountedPrice;
        }

        public float getPrice() {
            return this.price;
        }

        public int getPriceType() {
            return this.priceType;
        }

        public String getPriceUnit() {
            return this.priceUnit;
        }

        public void setDiscountedPrice(float f2) {
            this.discountedPrice = f2;
        }

        public void setPrice(float f2) {
            this.price = f2;
        }

        public void setPriceType(int i2) {
            this.priceType = i2;
        }

        public void setPriceUnit(String str) {
            this.priceUnit = str;
        }
    }

    public int getComposedPriceType() {
        return this.composedPriceType;
    }

    public List<PriceTypeDetailBean> getPriceTypeDetail() {
        return this.priceTypeDetail;
    }

    public void setComposedPriceType(int i2) {
        this.composedPriceType = i2;
    }

    public void setPriceTypeDetail(List<PriceTypeDetailBean> list) {
        this.priceTypeDetail = list;
    }
}
