package com.ximalaya.ting.android.opensdk.model.token;

import android.os.Parcel;
import android.os.Parcelable;

public class AccessToken implements Parcelable {
    public static final Parcelable.Creator<AccessToken> CREATOR = new Parcelable.Creator<AccessToken>() {
        /* class com.ximalaya.ting.android.opensdk.model.token.AccessToken.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public AccessToken createFromParcel(Parcel parcel) {
            return new AccessToken(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public AccessToken[] newArray(int i2) {
            return new AccessToken[i2];
        }
    };
    private String mAccessToken;
    private long mExpire;
    private long mLastGetTime;
    private String mRefreshToken;
    private String mThirdToken;
    private String mThirdUid;
    private String mUid;
    private long tempExpire;
    private long tempLastGetTime;
    private String tempToken;

    public AccessToken() {
    }

    public int describeContents() {
        return 0;
    }

    public String getAccessToken() {
        return this.mAccessToken;
    }

    public long getExpire() {
        return this.mExpire;
    }

    public long getLastGetTime() {
        return this.mLastGetTime;
    }

    public String getRefreshToken() {
        return this.mRefreshToken;
    }

    public long getTempExpire() {
        return this.tempExpire;
    }

    public long getTempLastGetTime() {
        return this.tempLastGetTime;
    }

    public String getTempToken() {
        return this.tempToken;
    }

    public String getThirdToken() {
        return this.mThirdToken;
    }

    public String getThirdUid() {
        return this.mThirdUid;
    }

    public String getUid() {
        return this.mUid;
    }

    public void readFromParcel(Parcel parcel) {
        this.mAccessToken = parcel.readString();
        this.mExpire = parcel.readLong();
        this.mUid = parcel.readString();
        this.mLastGetTime = parcel.readLong();
        this.mRefreshToken = parcel.readString();
        this.mThirdUid = parcel.readString();
        this.mThirdToken = parcel.readString();
        this.tempToken = parcel.readString();
        this.tempExpire = parcel.readLong();
        this.tempLastGetTime = parcel.readLong();
    }

    public void setAccessToken(String str) {
        this.mAccessToken = str;
    }

    public void setExpire(long j2) {
        this.mExpire = j2;
    }

    public void setLastGetTime(long j2) {
        this.mLastGetTime = j2;
    }

    public void setRefreshToken(String str) {
        this.mRefreshToken = str;
    }

    public void setTempExpire(long j2) {
        this.tempExpire = j2;
    }

    public void setTempLastGetTime(long j2) {
        this.tempLastGetTime = j2;
    }

    public void setTempToken(String str) {
        this.tempToken = str;
    }

    public void setThirdToken(String str) {
        this.mThirdToken = str;
    }

    public void setThirdUid(String str) {
        this.mThirdUid = str;
    }

    public void setUid(String str) {
        this.mUid = str;
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeString(this.mAccessToken);
        parcel.writeLong(this.mExpire);
        parcel.writeString(this.mUid);
        parcel.writeLong(this.mLastGetTime);
        parcel.writeString(this.mRefreshToken);
        parcel.writeString(this.mThirdUid);
        parcel.writeString(this.mThirdToken);
        parcel.writeString(this.tempToken);
        parcel.writeLong(this.tempExpire);
        parcel.writeLong(this.tempLastGetTime);
    }

    protected AccessToken(Parcel parcel) {
        this.mAccessToken = parcel.readString();
        this.mExpire = parcel.readLong();
        this.mUid = parcel.readString();
        this.mLastGetTime = parcel.readLong();
        this.mRefreshToken = parcel.readString();
        this.mThirdUid = parcel.readString();
        this.mThirdToken = parcel.readString();
        this.tempToken = parcel.readString();
        this.tempExpire = parcel.readLong();
        this.tempLastGetTime = parcel.readLong();
    }
}
