package com.ximalaya.ting.android.opensdk.player.appwidget;

import android.appwidget.AppWidgetProvider;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import com.google.gson.Gson;
import com.ximalaya.ting.android.opensdk.model.PlayableModel;
import com.ximalaya.ting.android.opensdk.model.track.Track;
import com.ximalaya.ting.android.opensdk.player.service.XmPlayerService;
import com.ximalaya.ting.android.opensdk.util.l;

/* compiled from: BaseAppWidgetProvider */
public abstract class a extends AppWidgetProvider {
    public abstract void a(Context context);

    public abstract void a(Context context, Track track);

    public abstract void b(Context context);

    public void onReceive(Context context, Intent intent) {
        PlayableModel m;
        Track track;
        Track track2;
        super.onReceive(context, intent);
        if (intent != null) {
            if (intent.getAction().equals("com.ximalaya.ting.android.ACTION_PLAY_PAUSE")) {
                a(context);
            } else if (intent.getAction().equals("com.ximalaya.ting.android.ACTION_PLAY_START")) {
                b(context);
            } else if (intent.getAction().equals("com.ximalaya.ting.android.ACTION_COMPLETE")) {
                a(context);
            } else if ("android.intent.action.BOOT_COMPLETED".equals(intent.getAction())) {
                String a2 = l.a(context).a("lasttrack");
                if (a2 != null) {
                    try {
                        track2 = (Track) new Gson().fromJson(a2, Track.class);
                    } catch (Exception unused) {
                        track2 = null;
                    }
                    if (track2 != null) {
                        a(context, track2);
                    }
                }
            } else if (intent.getAction().equals("com.ximalaya.ting.android.ACTION_INIT_UI")) {
                Bundle extras = intent.getExtras();
                if (extras != null && (track = (Track) extras.get(PlayableModel.KIND_TRACK)) != null) {
                    a(context, track);
                }
            } else if (intent.getAction().equals("com.ximalaya.ting.android.ACTION_CONTROL_PLAY_PRE_MAIN")) {
                PlayableModel m2 = XmPlayerService.E().m();
                if (m2 != null) {
                    a(context, (Track) m2);
                }
            } else if (intent.getAction().equals("com.ximalaya.ting.android.ACTION_CONTROL_PLAY_NEXT_MAIN") && (m = XmPlayerService.E().m()) != null) {
                a(context, (Track) m);
            }
        }
    }
}
