package com.ximalaya.ting.android.xmtrace;

import android.view.View;
import com.ximalaya.ting.android.xmtrace.model.WrapModuleData;

public class AutoTraceHelper {

    public static class DataWrap {
        public static final int INVALID_INDEX = -1000;
        private Object data;
        private int index = -1000;

        public DataWrap(int i2, Object obj) {
            this.index = i2;
            this.data = obj;
        }

        public Object getData() {
            return this.data;
        }

        public int getIndex() {
            return this.index;
        }

        public void setData(Object obj) {
            this.data = obj;
        }

        public void setIndex(int i2) {
            this.index = i2;
        }
    }

    public interface IDataProvider {
        Object getData();

        Object getModule();

        String getModuleType();
    }

    public static void a(View view, String str, Object obj) {
        if (view != null) {
            view.setTag(g.trace_id_key_bind_trace_data, obj);
            view.setTag(g.trace_record_module_type, str);
        }
    }

    public static void a(View view, String str, Object obj, Object obj2) {
        if (view != null) {
            view.setTag(g.trace_id_key_bind_trace_data, new WrapModuleData(obj, obj2));
            view.setTag(g.trace_record_module_type, str);
        }
    }
}
