package com.ximalaya.ting.android.xmtrace.model;

import com.ximalaya.ting.android.xmtrace.model.ConfigInfo;

public class RNInfo extends BaseModel {
    private ConfigInfo.VersionInfo configVersion;
    private String rnBundleName;
    private String rnVersion;

    public RNInfo(String str, String str2) {
        this.rnVersion = str;
        this.rnBundleName = str2;
        this.configVersion = new ConfigInfo.VersionInfo(str2, str);
    }

    public ConfigInfo.VersionInfo getConfigVersion() {
        return this.configVersion;
    }

    public String getRnBundleName() {
        return this.rnBundleName;
    }

    public String getRnVersion() {
        return this.rnVersion;
    }

    public void setConfigVersion(ConfigInfo.VersionInfo versionInfo) {
        this.configVersion = versionInfo;
    }

    public void setRnVersion(String str) {
        this.rnVersion = str;
    }

    public String toString() {
        return "rnVersion=" + this.rnBundleName + " rnVersion=" + this.rnBundleName;
    }
}
